<?php
session_name('portal_absa');
session_start();
/*if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}*/

require_once('../../clases/wsUtil.class.php');
require_once('../../clases/datosbd.class.php');

//Descomentar en pruebas;
// $_REQUEST["rfc"] = "ULC051129GC0";
// $_REQUEST["rfc"] = "EKU9003173C9";
//Termina codigo pruebas


if($_REQUEST["rfc"] == ""){
	?><script>$j_6.messager.alert("Error","Debe de indicar el RFC.","error");</script><?exit;
}

$tipoCancelacion = "T";
// comentar en pruebas
if(trim(strtoupper($_SESSION["TIPO_CANCELACION"])) == "P"){
	$tipoCancelacion = "P";
}
//--------------Termina pruebas

$datosbd = new datosbd();
// echo $tipoCancelacion;exit;
$wsUtil = new wsUtil($tipoCancelacion);
$wsUtil->getPendientesCancelar($_REQUEST["rfc"]);

if($wsUtil->RESPONSE->statusWS != 200){
	?><h2><?=$wsUtil->RESPONSE->errorWS?></h2><?exit;
}

if($wsUtil->RESPONSE->codStatus == "1101"){
	?><h2>No existen pendientes de cancelación</h2><?exit;
}
if($wsUtil->RESPONSE->codStatus != "1100"){
	?><h2>Se recibio una respuesta no reconocida</h2><?exit;
}

//Termina codigo de productivo-----------------



//descomentar en pruebas
// $respuesta = '{
   // "codStatus": "1100",
   // "message": "CA1100 - Se recibío la respuesta de la petición de forma exitosa.",
   // "data":    {
      // "uuid": ["BF9B771F-6521-42A1-9334-7D71843003E0"],
      // "codEstatus": "1100"
   // },
   // "status": "success",
   // "statusWS": 200,
   // "errorWS": "El servicio se ejecuto correctamente."
// }';
// $wsUtil->decodificaResponse($respuesta);

/*$respuesta = '{
   "codStatus": "1100",
   "message": "CA1100 - Se recibío la respuesta de la petición de forma exitosa.",
   "data":    {
      "uuid": ["8AC24A22-17B4-45A3-82E9-7F0D2884F3D7"],
      "codEstatus": "1100"
   },
   "status": "success",
   "statusWS": 200,
   "errorWS": "El servicio se ejecuto correctamente."
}';
$wsUtil->decodificaResponse($respuesta);*/
//Termina codigo de pruebas


$xml = simplexml_load_string(file_get_contents("getPendientesCancelar.xml"));
$arrOrdenImpresion = explode(",",$xml->OrdenImpresion);
$arrConfigColumnas = explode(",",$xml->ConfigColumnas);
// print_r($arrOrdenImpresion);exit;
encabezado($arrConfigColumnas);
$i=1;

foreach($wsUtil->RESPONSE->data->uuid as $uuid){
	
	$iconos="";
	if($datosbd->getViewPendientesCancelar($uuid)){
	//Descomentar en pruebas	
	// if($datosbd->getViewPendientesCancelar("8AC24A22-17B4-45A3-82E9-7F0D2884F3D7")){
	//Termina codigo pruebas
		if($datosbd->cPendientesCancelar != null){
			$iconos=$datosbd->getIconoArchivoRecibeDoce();
		}
	}
	?>
	<tr style="font-size: 12px" id="tr_<?=$i?>">
		<!--<td><?=($i++)?></td>-->
		<td><?=$iconos?></td>
		<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || $_SESSION['sesion_mod_acepta_rechaza_cancelacion'] == "1"){?>
		<td class="tdCol">
		<?if($datosbd->cPendientesCancelar == null || $datosbd->cPendientesCancelar["bloqueadoPP"] === "0"){?>
			<img style="cursor:pointer" id="imgaccept_<?=$uuid?>" onclick="aceptarCancelacion('<?=$uuid?>')" src="Imagenes/acceptHand.png" width="32" height="32"/>
		<?}?>
			<img style="cursor:pointer" id="imgreject_<?=$uuid?>" onclick="rechazarCancelacion('<?=$uuid?>')" src="Imagenes/rejectHand.png" width="32" height="32"/>
		</td>
		<?}?>
		<?if(strtoupper(trim($_SESSION["PROVISION_DE_PAGOS"])) == "SI"){?>
		<td id="tdLock_<?=$i?>">
			<?if($datosbd->cPendientesCancelar["bloqueadoPP"] === "1"){?>
				<?if($_SESSION['sesion_mod_desbloquea_provision_pago'] == "1"){?>
					<center><img style="cursor:pointer" id="imgbloqueado_<?=$i?>" onclick="desbloquiar(this.id,'<?=$uuid?>')" src="Imagenes/lock128.png" width="32" height="32"/></center>
				<?}else{?>
					<center><img style="cursor:pointer" id="imgbloqueado_<?=$i?>" src="Imagenes/lock128.png" width="32" height="32"/></center>
				<?}?>
			<?}else{?>
				<center><img src="Imagenes/unlock128.png" width="32" height="32"/></center>
			<?}?>
		</td>
		<?}?>
		
		<?for($i = 0;$i<count($arrOrdenImpresion);$i++){?>
				<?if($arrOrdenImpresion[$i] == "uuid"){?>
					<td><?=$uuid?></td>
				<?}else{?>
				<td><?=$datosbd->cPendientesCancelar[$arrOrdenImpresion[$i]]?></td>
				<?}?>
			<?}?>
	</tr>
<?}?>
</table>

<?
function encabezado($arrConfigColumnas){
	$arrLbl = array(";;CRLF;;");
	$arrVal = array("<br/>");
	?>
	<table width="100%" bgcolor="white">
		<tr class="ui-state-default ui-th-column ui-th-ltr">
			<!--<td width="5%" class="tdCol">Linea</td>-->
			<td width="5%" class="tdCol"><img src="Imagenes/import.png" width="32" height="32"/></td>
			<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || $_SESSION['sesion_mod_acepta_rechaza_cancelacion'] == "1"){?>
				<td width="5%" class="tdCol"></td>
			<?}?>
			<?if(strtoupper(trim($_SESSION["PROVISION_DE_PAGOS"])) == "SI"){?>-
				<td width="5%" class="tdCol">Bloqueado<br/>PP</td>
			<?}?>
			<?for($i = 0;$i<count($arrConfigColumnas);$i++){
				$arrC= explode("|",$arrConfigColumnas[$i]);?>
				<td width="<?=(($arrC[1]=="")?"5":$arrC[1])?>%" class="tdCol"><?=str_replace($arrLbl,$arrVal,$arrC[0])?></td>
			<?}?>
		</tr>
	<?
}
?>
<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || $_SESSION['sesion_mod_acepta_rechaza_cancelacion'] == "1"){?>
<script>
function aceptarCancelacion(uuid){
	ventanaModal3("[formularios/form_acepta_rechaza_cancelacion.php,800,400]",'<?=$_REQUEST["rfc"]?>', 'Aceptacion', uuid);
}
function rechazarCancelacion(uuid){
	ventanaModal3("[formularios/form_acepta_rechaza_cancelacion.php,800,400]",'<?=$_REQUEST["rfc"]?>', 'Rechazo', uuid);
}
</script>
<?}?>

<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || $_SESSION['sesion_mod_desbloquea_provision_pago'] == "1"){?>
<script>
function desbloquiar(id,uuid){
	
	document.getElementById(id).src="Imagenes/loading.gif";
	
	$j_6.messager.confirm("Desbloqueo de cancelación de documento.","¿Esta seguro de desbloquear el documento para su cancelación?",function(r){
		if(r){
			$j_6.post("formularios/extras/desbloquiarDocumentoCancelacion.php",{id: id, uuid: uuid},function(data){
				$j_6("#result").html(data);
			});
		}else{
			document.getElementById(id).src="Imagenes/lock128.png";
			document.getElementById(id).disabled = false;
			return false;
		}
	});
	
}
</script>
<?}?>